Pauses an unfinished process while preserving the pinned revision and visits.
POST
/api/workspace/workflow/runtime/instances/{id}/suspend
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/workflow/runtime/instances/example/suspend"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"ExpectedInstanceRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"OperationId\": \"example\", \"Reason\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/workflow/runtime/instances/example/suspend';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ExpectedInstanceRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","OperationId":"example","Reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/workflow/runtime/instances/example/suspend \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ExpectedInstanceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example", "Reason": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
ExpectedInstanceRowVersion
string format: uuid
OperationId
string
Reason
string
Examplegenerated
{ "ExpectedInstanceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example", "Reason": "example"}object
ExpectedInstanceRowVersion
string format: uuid
OperationId
string
Reason
string
Examplegenerated
{ "ExpectedInstanceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example", "Reason": "example"}object
ExpectedInstanceRowVersion
string format: uuid
OperationId
string
Reason
string
Examplegenerated
{ "ExpectedInstanceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example", "Reason": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
CommandId
string
WorkflowInstanceId
string
CommandStatus
integer format: int32
Replayed
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "CommandStatus": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}